# DBTransaction Class Reference
[Tools for working with transactions]

Database transaction implementation. More...

Inheritance diagram for DBTransaction:
[legend]

List of all members.

## Public Member Functions

| __destruct ()
| setDB (DB $db)
| isStarted ()
| add (Query $query)
| flush ()

## Private Attributes

| $started = false

## Detailed Description

Database transaction implementation.

Definition at line 17 of file DBTransaction.class.php.

## Constructor & Destructor Documentation

DBTransaction::__destruct | ( |  | ) |

Definition at line 21 of file DBTransaction.class.php.

References isStarted().

Here is the call graph for this function:

## Member Function Documentation

DBTransaction::add | ( | Query $ | query | ) |

Returns:
  DBTransaction

Definition at line 48 of file DBTransaction.class.php.

References BaseTransaction::getBeginString(), and isStarted().

Here is the call graph for this function:

DBTransaction::flush | ( |  | ) |

Returns:
  DBTransaction

Reimplemented from BaseTransaction.

Definition at line 63 of file DBTransaction.class.php.

DBTransaction::isStarted | ( |  | ) |

Definition at line 40 of file DBTransaction.class.php.

Referenced by __destruct(), add(), and setDB().

DBTransaction::setDB | ( | DB $ | db | ) |

Returns:
  DBTransaction

Reimplemented from BaseTransaction.

Definition at line 30 of file DBTransaction.class.php.

References isStarted().

Here is the call graph for this function:

## Member Data Documentation

DBTransaction::$started = false`[private]`

Definition at line 19 of file DBTransaction.class.php.

The documentation for this class was generated from the following file:

- core/DB/Transaction/DBTransaction.class.php